Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Get campaign analytics

GET /api/analytics/campaign

Get detailed analytics for a campaign including connection rates, reply rates, and message performance.

Parameters

workspaceId
string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
campaignIdrequired
string
No description.
start
string
No description.
end
string
No description.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/analytics/campaign?campaign_id=00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"data": {
"type": [
"array",
"object"
],
"description": "Per-day analytics rows (detailed/chart) or the analytics summary object (format=summary)"
},
"metadata": {
"type": "object",
"properties": {
"campaign_id": {
"type": "string"
},
"campaign_name": {
"type": "string"
},
"campaign_status": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"period": {
"type": "string"
},
"start_date": {
"type": "string"
},
"end_date": {
"type": "string"
},
"format": {
"type": "string"
}
}
},
"aggregated": {
"type": "object",
"description": "Present for detailed/chart formats"
},
"chart_data": {
"type": "array",
"description": "Present only when format=chart"
},
"comparison": {
"type": "object",
"description": "Present only when compare=true"
},
"ci_ratio": {
"type": "number"
},
"ci_classification": {
"type": "string"
},
"icp_tier": {
"type": "string"
},
"benchmark_status": {
"type": "string"
},
"funnel_metrics": {
"type": "object",
"description": "Present only for non-summary formats"
},
"funnel_comparison": {
"type": "object",
"description": "Present only when compare=true and format is not summary"
}
}
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline